# GimpUi.widget_set_native_handle

    @accepts(Gtk.Widget, GLib.Bytes)
    @returns(none)
    def widget_set_native_handle(widget, handle):
        # Python wrapper for gimp_widget_set_native_handle()

This function is used to store the handle representing @window into handle so that it can later be reused to set other windows as transient to this one (even in other processes, such as plug-ins).

Depending on the platform, the actual content of handle can be various types. Moreover it may be filled asynchronously in a callback, so you should not assume that handle is set after running this function.

This convenience function is safe to use even before widget is visible as it will set the handle once it is mapped.

widget

  a Gtk.Window

handle

  pointer to store the native handle as a GLib.Bytes.